package com.ipsplm.controller.simulation;


import com.ipsplm.entity.dto.ResponseDTO;
import com.ipsplm.service.simulation.ISimulationAnalysisService;
import com.ipsplm.service.simulation.ISimulationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;



/**
 * @Description 仿真分析Controller层
 * @Author lulicheng
 * @Date 2024-07-31 10：11
 * @Version 1.0
 */
@RestController
@RequestMapping("/simulation")
public class SimulationAnalysisController {
    @Autowired
    private ISimulationAnalysisService simulationAnalysisService;
    /**
     * 获取工厂设备利用率信息
     * @param flag
     * @return
     */
    @GetMapping("/get-plant-equipment-utilization")
    public ResponseDTO getPlantEquipmentUtilization(@RequestParam(required = false) Long flag) {
        return ResponseDTO.ok(simulationAnalysisService.getPlantEquipmentUtilization(flag));
    }

    /**
     * 获取OEE数据
     * @param tableCode
     * @return
     */
    @GetMapping("/get-oee")
    public ResponseDTO getOee(@RequestParam String tableCode){
        return ResponseDTO.ok(simulationAnalysisService.getOee(tableCode));
    }

    /**
     * 获取工序列表
     * @param tableCode
     * @return
     */
    @GetMapping("/get-process-list")
    public ResponseDTO getProcessList(@RequestParam String tableCode){
        return ResponseDTO.ok(simulationAnalysisService.getProcessList(tableCode));
    }

    /**
     * 获取缓存数量时间
     * @param process
     * @return
     */
    @GetMapping("/get-buffer-num")
    public ResponseDTO getBufferNum(@RequestParam String process){
        return ResponseDTO.ok(simulationAnalysisService.getBufferNum(process));
    }

}
