package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 不锈钢线缓存数量表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("buffernum_bxg")
public class BufferNumBxg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private Long flag;

    /**
     * 记录时间
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String recordTime;

    /**
     * 不锈钢线流水线缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgBufferL;

    /**
     * 不锈钢弯管机前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgWgjQ;

    /**
     * 不锈钢弯管机后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgWgjH;

    /**
     * 不锈钢支管切断前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgZgqdQ;

    /**
     * 不锈钢支管切断后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgZgqdH;

    /**
     * 不锈钢小组立前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgXzlQ;

    /**
     * 不锈钢小组立后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgXzlH;

    /**
     * 不锈钢弯头焊接机前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgWthjjQ;

    /**
     * 不锈钢弯头焊接机后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgWthhjH;

    /**
     * 不锈钢装配平台1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgZppt1Q;

    /**
     * 不锈钢装配平台1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgZppt1H;

    /**
     * 不锈钢装配平台2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgZppt2Q;

    /**
     * 不锈钢装配平台2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgZppt2H;

    /**
     * 不锈钢焊接工位1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgHjgw1Q;

    /**
     * 不锈钢焊接工位1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgHjgw1H;

    /**
     * 不锈钢焊接工位2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgHjgw2Q;

    /**
     * 不锈钢焊接工位2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgHjgw2H;

    /**
     * 不锈钢焊接工位3前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgHjgw3Q;

    /**
     * 不锈钢焊接工位3后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgHjgw3H;

    /**
     * 不锈钢一次完检前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgYcwjQ;

    /**
     * 不锈钢一次完检后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgYcwjH;

    /**
     * 不锈钢水试前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bxgSsQ;

    /**
     * 探伤前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String tsQ;

    /**
     * 探伤后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String tsH;

}
