package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 大径线缓存数量表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("buffernum_dj")
public class BufferNumDj implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private Long flag;

    /**
     * 记录时间
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String recordTime;

    /**
     * 大径线流水线缓存区1
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djBuffer1L;

    /**
     * 大径线流水线缓存区2
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djBuffer2L;

    /**
     * 大径支管切断前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djZgqdQ;

    /**
     * 大径支管切断后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djZgqdH;

    /**
     * 大径小组立前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djXzlQ;

    /**
     * 大径小组立后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djXzlH;

    /**
     * 大径弯头焊接机前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djWthjjQ;

    /**
     * 大径弯头焊接机后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djWthhjH;

    /**
     * 大径装配平台1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djZppt1Q;

    /**
     * 大径装配平台1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djZppt1H;

    /**
     * 大径装配平台2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djZppt2Q;

    /**
     * 大径装配平台2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djZppt2H;

    /**
     * 大径装配平台3前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djZppt3Q;

    /**
     * 大径装配平台3后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djZppt3H;

    /**
     * 大径装配平台4前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djZppt4Q;

    /**
     * 大径装配平台4后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djZppt4H;

    /**
     * 大径焊接工位1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djHjgw1Q;

    /**
     * 大径焊接工位1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djHjgw1H;

    /**
     * 大径焊接工位2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djHjgw2Q;

    /**
     * 大径焊接工位2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djHjgw2H;

    /**
     * 大径焊接工位3前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djHjgw3Q;

    /**
     * 大径焊接工位3后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djHjgw3H;

    /**
     * 大径焊接工位4前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djHjgw4Q;

    /**
     * 大径焊接工位4后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djHjgw4H;

    /**
     * 大径焊接工位5前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djHjgw5Q;

    /**
     * 大径焊接工位5后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djHjgw5H;

    /**
     * 大径一次完检前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djYcwjQ;

    /**
     * 大径一次完检后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djYcwjH;

    /**
     * 大径水试前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String djSsQ;

}
