package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 小二线缓存数量表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("buffernum_xe")
public class BufferNumXe implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private Long flag;

    /**
     * 记录时间
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String recordTime;

    /**
     * 小二线流水线缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeBufferL;

    /**
     * 小二弯管机1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeWgj1Q;

    /**
     * 小二弯管机1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeWgj1H;

    /**
     * 小二弯管机2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeWgj2Q;

    /**
     * 小二弯管机2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeWgj2H;

    /**
     * 小二支管切断前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZgqdQ;

    /**
     * 小二支管切断后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZgqdH;

    /**
     * 小二小组立前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeXzlQ;

    /**
     * 小二小组立后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeXzlH;

    /**
     * 小二弯头焊接机前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeWthjjQ;

    /**
     * 小二弯头焊接机后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeWthhjH;

    /**
     * 小二装配平台1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZppt1Q;

    /**
     * 小二装配平台1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZppt1H;

    /**
     * 小二装配平台2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZppt2Q;

    /**
     * 小二装配平台2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZppt2H;

    /**
     * 小二装配平台3前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZppt3Q;

    /**
     * 小二装配平台3后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZppt3H;

    /**
     * 小二装配平台4前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZppt4Q;

    /**
     * 小二装配平台4后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZppt4H;

    /**
     * 小二装配平台5前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZppt5Q;

    /**
     * 小二装配平台5后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeZppt5H;

    /**
     * 小二焊接工位1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeHjgw1Q;

    /**
     * 小二焊接工位1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeHjgw1H;

    /**
     * 小二焊接工位2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeHjgw2Q;

    /**
     * 小二焊接工位2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeHjgw2H;

    /**
     * 小二焊接工位3前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeHjgw3Q;

    /**
     * 小二焊接工位3后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeHjgw3H;

    /**
     * 小二焊接工位4前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeHjgw4Q;

    /**
     * 小二焊接工位4后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeHjgw4H;

    /**
     * 小二焊接工位5前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeHjgw5Q;

    /**
     * 小二焊接工位5后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeHjgw5H;

    /**
     * 小二一次完检前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeYcwjQ;

    /**
     * 小二一次完检后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeYcwjH;

    /**
     * 小二水试前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xeSsQ;

    /**
     * 机加工前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String jjgQ;

    /**
     * 机加工后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String jjgH;

}
