package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 小一线缓存数量表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("buffernum_xy")
public class BufferNumXy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private Long flag;

    /**
     * 记录时间
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String recordTime;

    /**
     * 小一线流水线缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyBufferL;

    /**
     * 小一弯管机前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyWgjQ;

    /**
     * 小一弯管机后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyWgjH;

    /**
     * 小一支管切断前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyZgqdQ;

    /**
     * 小一支管切断后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyZgqdH;

    /**
     * 小一装配平台1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyZppt1Q;

    /**
     * 小一装配平台1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyZppt1H;

    /**
     * 小一装配平台2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyZppt2Q;

    /**
     * 小一装配平台2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyZppt2H;

    /**
     * 小一装配平台3前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyZppt3Q;

    /**
     * 小一装配平台3后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyZppt3H;

    /**
     * 小一装配平台4前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyZppt4Q;

    /**
     * 小一装配平台4后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyZppt4H;

    /**
     * 小一焊接工位1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyHjgw1Q;

    /**
     * 小一焊接工位1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyHjgw1H;

    /**
     * 小一焊接工位2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyHjgw2Q;

    /**
     * 小一焊接工位2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyHjgw2H;

    /**
     * 小一焊接工位3前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyHjgw3Q;

    /**
     * 小一焊接工位3后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyHjgw3H;

    /**
     * 小一焊接工位4前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyHjgw4Q;

    /**
     * 小一焊接工位4后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyHjgw4H;

    /**
     * 小一一次完检前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyYcwjQ;

    /**
     * 小一一次完检后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xyYcwjH;

    /**
     * 小一水试前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xySsQ;

}
