package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 中二线缓存数量表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("buffernum_ze")
public class BufferNumZe implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private Long flag;

    /**
     * 记录时间
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String recordTime;

    /**
     * 中二线流水线缓存区1
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeBuffer1L;

    /**
     * 中二线流水线缓存区2
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeBuffer2L;

    /**
     * 中二弯管机前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeWgjQ;

    /**
     * 中二弯管机后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeWgjH;

    /**
     * 中二支管切断前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeZgqdQ;

    /**
     * 中二支管切断后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeZgqdH;

    /**
     * 中二小组立1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeXzl1Q;

    /**
     * 中二小组立1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeXzl1H;

    /**
     * 中二小组立2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeXzl2Q;

    /**
     * 中二小组立2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeXzl2H;

    /**
     * 中二弯头焊接机前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeWthjjQ;

    /**
     * 中二弯头焊接机后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeWthhjH;

    /**
     * 中二装配平台1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeZppt1Q;

    /**
     * 中二装配平台1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeZppt1H;

    /**
     * 中二装配平台2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeZppt2Q;

    /**
     * 中二装配平台2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeZppt2H;

    /**
     * 中二装配平台3前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeZppt3Q;

    /**
     * 中二装配平台3后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeZppt3H;

    /**
     * 中二焊接工位1前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw1Q;

    /**
     * 中二焊接工位1后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw1H;

    /**
     * 中二焊接工位2前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw2Q;

    /**
     * 中二焊接工位2后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw2H;

    /**
     * 中二焊接工位3前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw3Q;

    /**
     * 中二焊接工位3后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw3H;

    /**
     * 中二焊接工位4前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw4Q;

    /**
     * 中二焊接工位4后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw4H;

    /**
     * 中二焊接工位5前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw5Q;

    /**
     * 中二焊接工位5后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw5H;

    /**
     * 中二焊接工位6前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw6Q;

    /**
     * 中二焊接工位6后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw6H;

    /**
     * 中二焊接工位7前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw7Q;

    /**
     * 中二焊接工位7后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeHjgw7H;

    /**
     * 中二一次完检前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeYcwjQ;

    /**
     * 中二一次完检后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeYcwjH;

    /**
     * 中二水试前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zeSsQ;

    /**
     * 探伤前序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String tsQ;

    /**
     * 探伤后序缓存区
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String tsH;

}
