package com.ipsplm.service.simulation;

import com.ipsplm.entity.simulation.*;
import com.ipsplm.entity.simulation.vo.OeeVO;
import com.ipsplm.entity.simulation.vo.PlantEquipmentUtilizationVO;

import java.util.List;
import java.util.Map;

/**
 * @Description 仿真分析接口层
 * @Author lulicheng
 * @Date 2024-07-31 10：20
 * @Version 1.0
 */
public interface ISimulationAnalysisService {
    /**
     * 获取厂房设备利用率信息
     *
     * @param flag
     * @return
     */
    Map<String,Object> getPlantEquipmentUtilization(Long flag);

    /**
     * 获取工序列表
     * @param tableCode
     * @return
     */
    List<String> getProcessList(String tableCode);

    /**
     * 获取缓存数量时间
     * @param process
     * @return
     */
    Object getBufferNum(String process);

    /**
     * 获取OEE数据
     * @param tableCode
     * @return
     */
    Object getOee(String tableCode);
}
